D_INVALIDATE(9)

NAME
d_invalidate - detach submounts, prune dcache, and drop

SYNOPSIS

void d_invalidate(struct dentry * dentry);

ARGUMENTS

dentry
    dentry to invalidate (aka detach, prune and drop)

DESCRIPTION

no dcache lock.

The final d_drop is done as an atomic operation relative to rename_lock ensuring there are no races with d_set_mounted. This ensures there are no unhashed dentries on the path to a mountpoint.

COPYRIGHT